<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions
        xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
        name="esbExchange"

        xmlns:tns="http://www.entaxy.ru/connector/universal/system/1.0"
        targetNamespace="http://www.entaxy.ru/connector/universal/system/1.0"

        xmlns:types="http://www.entaxy.ru/ExchangeTypes/1.0">

    <wsdl:types>
        <schema xmlns="http://www.w3.org/2001/XMLSchema">
            <import namespace="http://www.entaxy.ru/ExchangeTypes/1.0" schemaLocation="exchangeTypes_1_0.xsd"/>
        </schema>
    </wsdl:types>

    <wsdl:message name="PutPacketsRequest">
        <wsdl:part name="packets" element="types:packets"/>
    </wsdl:message>
    <wsdl:message name="PutPacketsResponse">
        <wsdl:part name="response" element="types:response"/>
    </wsdl:message>
    <wsdl:message name="GetPacketsRequest">
        <wsdl:part name="request" element="types:getPacketsRequest"/>
    </wsdl:message>
    <wsdl:message name="GetPacketsResponse">
        <wsdl:part name="response" element="types:response"/>
    </wsdl:message>
    <wsdl:message name="ConfirmGettingPacketsRequest">
        <wsdl:part name="uuids" element="types:uuids"/>
    </wsdl:message>
    <wsdl:message name="ConfirmGettingPacketsResponse">
        <wsdl:part name="response" element="types:response"/>
    </wsdl:message>

    <wsdl:portType name="esbExchange">
        <wsdl:operation name="PutPackets">
            <wsdl:input message="tns:PutPacketsRequest"/>
            <wsdl:output message="tns:PutPacketsResponse"/>
        </wsdl:operation>
        <wsdl:operation name="GetPackets">
            <wsdl:input message="tns:GetPacketsRequest"/>
            <wsdl:output message="tns:GetPacketsResponse"/>
        </wsdl:operation>
        <wsdl:operation name="ConfirmGettingPackets">
            <wsdl:input message="tns:ConfirmGettingPacketsRequest"/>
            <wsdl:output message="tns:ConfirmGettingPacketsResponse"/>
        </wsdl:operation>
    </wsdl:portType>

    <wsdl:binding name="esbExchangeSOAP"
                  type="tns:esbExchange">
        <soap:binding style="document"
                      transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="PutPackets">
            <soap:operation
                    soapAction="http://www.entaxy.ru/connector/universal/system/1.0/PutPackets"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="GetPackets">
            <soap:operation
                    soapAction="http://www.entaxy.ru/connector/universal/system/1.0/GetPackets"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="ConfirmGettingPackets">
            <soap:operation
                    soapAction="http://www.entaxy.ru/connector/universal/system/1.0/ConfirmGettingPackets"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>

    <wsdl:service name="esbExchange">
        <wsdl:port binding="tns:esbExchangeSOAP"
                   name="esbExchangeSOAP">
            <soap:address location="http://dev.esbHost.ru/"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>